<link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@400;700&display=swap">
<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"></script>




<app-navbar></app-navbar>
<div class="container-fluid">
    <div class="container-xxl">
        <div class="table-responsive">
            <div class="table-wrapper">
                <div class="table-title">
                    <div class="row">
                        <div class="col-sm-6">
                            <h2>Usuarios </h2>
                        </div>
                        <div class="col-sm-6">
                            <button class="btn btn-success" (click)="abrirNuevoUsuarioModal()">
                                <i class="material-icons">&#xE147;</i> <span>Crear usuario</span>
                            </button>
                        </div>
                    </div>
                </div>
                <table class="table table-striped table-hover">
                    <thead>
                        <tr>
                            <th>Nombre</th>
                            <th>Apellidos</th>
                            <th>Correo</th>
                            <th>Puesto</th>
                            <th>Rol</th>
                            <th>Status</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let datos of datosUsuario">
                            <td>{{datos.nombreUsuario}}</td>
                            <td>{{datos.apellidoUsuario}}</td>
                            <td>{{datos.emailUsuario}}</td>
                            <td>{{datos.puestoUsuario}}</td>
                            <td>{{datos.roleUsuario}}</td>
                            <td>{{datos.statusUsuario}}</td>
                            <td>
                                <a class="edit" (click)="abrirEditarUsuarioModal(datos)"><i class="material-icons"
                                        data-toggle="tooltip" title="Edit">&#xE254;</i></a>
                                <a class="delete" (click)="eliminarUsuario(datos.idUsuario)"><i class="material-icons"
                                        data-toggle="tooltip" title="Delete">&#xE872;</i></a>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<!-- Crear Usuario -->
<ng-template #agregarUsuarioModal class="modal fade">
    <div class="modal-content">
        <form id="nuevoUsuario">
            <div class="modal-header">
                <h4 class="modal-title">Crear Usuario</h4>
                <button type="button" class="close" (click)="cerrarModal()">X</button>
            </div>
            <div class="modal-body">
                <div class="form-group">
                    <label>Nombre(s)</label>
                    <input type="text" class="form-control" id="nombreUsuario" name="nombreUsuario" required
                        [(ngModel)]="datosUsuarioCrear.nombreUsuario">
                </div>
                <div class="form-group">
                    <label>Apellido</label>
                    <input type="text" class="form-control" name="apellidoUsuario" required="required"
                        [(ngModel)]="datosUsuarioCrear.apellidoUsuario">
                </div>
                <div class="form-group">
                    <label>Email</label>
                    <input type="email" class="form-control" name="emailUsuario" required="required"
                        [(ngModel)]="datosUsuarioCrear.emailUsuario">
                </div>
                <div class="form-group">
                    <label>Contraseña</label>
                    <input type="password" class="form-control" name="passwordUsuario" required="required"
                        [(ngModel)]="datosUsuarioCrear.passwordUsuario">
                </div>
                <div class="form-group">
                    <label>Puesto</label>
                    <input type="text" class="form-control" name="puestoUsuario" required="required"
                        [(ngModel)]="datosUsuarioCrear.puestoUsuario">
                </div>
                <div class="form-group ">
                    <label>Jefe Directo</label>
                    <ng-select name="idUsuario" class="custom-select mt-3"
                        [(ngModel)]="datosUsuarioCrear.jefeDirectoUsuario">
                        <ng-option *ngFor="let options of jefes" [value]="options.idUsuario">
                            <div class="option-content">
                                <img src="" class="pfp">
                                <span>{{options.nombreUsuario}} {{options.apellidoUsuario}}</span>
                            </div>
                        </ng-option>
                    </ng-select>
                </div>
                <div class="form-group">
                    <label>Rol</label>
                    <select class="form-select" name="roleUsuario" aria-placeholder="Selecciona..."
                        [(ngModel)]="datosUsuarioCrear.roleUsuario" required>
                        <option value="Superadministrador">Superadministrador</option>
                        <option value="Administrador">Administrador</option>
                        <option value="Usuario">Usuario</option>
                    </select>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" (click)="cerrarModal()">Cancel</button>
                <button type="button" class="btn btn-success" (click)="agregarUsuario()">Add</button>
            </div>
        </form>
    </div>
</ng-template>


<!-- Editar Usuario -->
<ng-template #editarUsuarioModal class="modal fade">
    <div class="modal-content">
        <form>
            <div class="modal-header">
                <h4 class="modal-title">Actualizar Usuario</h4>
                <button type="button" class="close" (click)="cerrarModal()">X</button>
            </div>
            <div class="modal-body">
                <div class="form-group">
                    <label>Nombre(s)</label>
                    <input type="text" class="form-control" id="nombreUsuario" name="nombreUsuario" required
                        [(ngModel)]="datosUsuarioActualizar.nombreUsuario">
                </div>
                <div class="form-group">
                    <label>Apellido</label>
                    <input type="text" class="form-control" name="apellidoUsuario" required="required"
                        [(ngModel)]="datosUsuarioActualizar.apellidoUsuario">
                </div>
                <div class="form-group">
                    <label>Email</label>
                    <input type="email" class="form-control" name="emailUsuario" required="required"
                        [(ngModel)]="datosUsuarioActualizar.emailUsuario">
                </div>
                <div class="form-group">
                    <label>Contraseña</label>
                    <input type="password" class="form-control" name="passwordUsuario" required="required"
                        [(ngModel)]="datosUsuarioActualizar.passwordUsuario">
                </div>
                <div class="form-group">
                    <label>Puesto</label>
                    <input type="text" class="form-control" name="puestoUsuario" required="required"
                        [(ngModel)]="datosUsuarioActualizar.puestoUsuario">
                </div>
                <div class="form-group ">
                    <label>Jefe Directo</label>
                    <ng-select name="idUsuario" class="custom-select mt-3"
                        [(ngModel)]="datosUsuarioActualizar.jefeDirectoUsuario">
                        <ng-option *ngFor="let options of jefes" [value]="options.idUsuario">
                            <div class="option-content">
                                <img src="" class="pfp">
                                <span>{{options.nombreUsuario}} {{options.apellidoUsuario}}</span>
                            </div>
                        </ng-option>
                    </ng-select>
                </div>
                <div class="form-group">
                    <label>Rol</label>
                    <select class="form-select" name="roleUsuario" aria-placeholder="Selecciona..."
                        [(ngModel)]="datosUsuarioActualizar.roleUsuario" required>
                        <option value="Superadministrador">Superadministrador</option>
                        <option value="Administrador">Administrador</option>
                        <option value="Usuario">Usuario</option>
                    </select>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" (click)="cerrarModal()">Cancel</button>
                <button type="button" class="btn btn-success" (click)="editarUsuario()">Actualizar</button>
            </div>
        </form>
    </div>
</ng-template>